package com.dayou.enums;

public enum MenuEnum implements CodeMsgEnumInterface<String, String> {

    ;


    MenuEnum(String menuNo, MenuTypeEnum menuTypeEnum, String name) {
        this.menuNo = menuNo;
        this.menuTypeEnum = menuTypeEnum;
        this.name = name;
    }

    /**
     * 菜单id
     * 全局唯一
     */
    private Long id;
    /**
     * 菜单唯一编码
     */
    private String menuNo;
    /**
     * 菜单编号(前端用)
     */
    private String menuCode;
    private MenuTypeEnum menuTypeEnum;

    private String name;

    private Long parentId;

    @Override
    public String getCode() {
        return menuNo;
    }

    @Override
    public String getMsg() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMenuNo() {
        return menuNo;
    }

    public void setMenuNo(String menuNo) {
        this.menuNo = menuNo;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public MenuTypeEnum getMenuTypeEnum() {
        return menuTypeEnum;
    }

    public void setMenuTypeEnum(MenuTypeEnum menuTypeEnum) {
        this.menuTypeEnum = menuTypeEnum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
